package github.benjamin.equipreservebackend.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import github.benjamin.equipreservebackend.entity.Device;
import github.benjamin.equipreservebackend.vo.DeviceAdminVO;
import github.benjamin.equipreservebackend.vo.DeviceUserVO;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

public interface DeviceService {
    Page<DeviceUserVO> getUserDevices(Page<Device> pageRequest, String name);

    void addDevice(Device device);

    void deleteDevice(Long id);

    Device updateDevice(Device device);

    String saveImage(Long id, MultipartFile image) throws IOException;

    /**
     * 获取用户所属团队的所有设备
     * @param pageRequest
     * @param userId
     * @param name
     * @return 分页后的设备列表
     */
    Page<DeviceAdminVO> getAdminDevice(Page<Device> pageRequest, Long userId, String name);
}
